# Uses of Class
org.apache.lucene.codecs.PostingsReaderBase

Packages that use PostingsReaderBase
Package
Description
org.apache.lucene.codecs.lucene103
Lucene 10.3 file format.
org.apache.lucene.codecs.lucene103.blocktree
BlockTree terms dictionary.

- ## Uses of PostingsReaderBase in org.apache.lucene.codecs.lucene103

  Subclasses of PostingsReaderBase in org.apache.lucene.codecs.lucene103
  Modifier and Type
  Class
  Description
  `final class`
  `Lucene103PostingsReader`
  Concrete class that reads docId(maybe frq,pos,offset,payloads) list with postings format.

- ## Uses of PostingsReaderBase in org.apache.lucene.codecs.lucene103.blocktree

  Constructors in org.apache.lucene.codecs.lucene103.blocktree with parameters of type PostingsReaderBase
  Modifier
  Constructor
  Description
  ``
  `Lucene103BlockTreeTermsReader(PostingsReaderBase postingsReader, SegmentReadState state)`
  Sole constructor.